List Incidents
curl --request GET \
--url https://otel.logclaw.ai/api/ticketing/api/incidents \
--header 'x-logclaw-api-key: <api-key>'import requests
url = "https://otel.logclaw.ai/api/ticketing/api/incidents"
headers = {"x-logclaw-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-logclaw-api-key': '<api-key>'}};
fetch('https://otel.logclaw.ai/api/ticketing/api/incidents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "inc-20240301-001",
"title": "High error rate on payment-api",
"severity": "critical",
"status": "open",
"service": "payment-api",
"anomalyScore": 4.2,
"affectedServices": [
"payment-api",
"order-engine"
],
"createdAt": "2024-03-01T15:30:00Z",
"platforms": [
"pagerduty",
"jira",
"slack"
]
}
]Ticketing
List Incidents
Returns all tracked incidents for your project with their current state, severity, affected services, and ticketing platform status.
Results are automatically scoped to your project’s tenant.
GET
/
api
/
ticketing
/
api
/
incidents
List Incidents
Authorizations
Your project API key (starts with lc_proj_)
Query Parameters
Filter by incident status
Available options:
open, acknowledged, escalated, resolved Filter by severity level
Available options:
critical, high, medium, low Response
200 - application/json
List of incidents
Example:
"inc-20240301-001"
Example:
"High error rate on payment-api"
Available options:
critical, high, medium, low Available options:
open, acknowledged, escalated, resolved Example:
"payment-api"
Example:
4.2
Example:
["pagerduty", "jira", "slack"]